package	com.sw.mes.yb.production.service.impl;


import com.sw.mes.core.base.BaseServiceImpl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.sw.mes.yb.production.entity.InputFurnaceDetail;
import com.sw.mes.yb.production.dao.InputFurnaceDetailDao;
import com.sw.mes.yb.production.service.InputFurnaceDetailService;


/**
* @Author
* @Description：
* @Date: Create in
* @Modified By:
*/
@Service
@Transactional
public class InputFurnaceDetailServiceImpl extends BaseServiceImpl<InputFurnaceDetail> implements InputFurnaceDetailService {
    InputFurnaceDetailDao dao;
	@Autowired
    public void setDao(InputFurnaceDetailDao dao) {
        super.setBaseDao(dao);
        this.dao=dao;
    }

    @Override
    public List<InputFurnaceDetail> findByInputFurnaceId(Long inputFurnaceId) {
        return dao.findByInputFurnaceId(inputFurnaceId);
    }

    @Override
	public List<InputFurnaceDetail> findByAgainTaskDetailId(Long taskId) {
		return dao.findByAgainTaskDetailId(taskId);
	}

    @Override
    public List<InputFurnaceDetail> findByAgainTaskDetailIdAndBucket(Long taskId, String bucketNo) {
        return dao.findByAgainTaskDetailIdAndBucketNo(taskId, bucketNo);
    }

    @Override
    public List<InputFurnaceDetail> findByAgainTaskDetailIdList(List<Long> idList) {
        return dao.findByAgainTaskDetailIdList(idList);
    }

    @Override
    public List<Map<String, Object>> pullMaterialData() {
        return dao.pullMaterialData();
    }

    @Override
    public void updatePulledState(List<Long> idList) {
        dao.updatePulledState(idList);
    }
}
